Name:           rosegarden
Version:        23.12
Release:        %mkrel 1
Summary:        Midi, audio sequencer and notation editor
License:        GPLv2+
Group:          Sound
URL:            http://www.rosegardenmusic.com/
Source0:        http://download.sourceforge.net/rosegarden/%{name}-%{version}.tar.xz
#Patch0:         rosegarden-17.12-mga-fix-desktop-file.patch
BuildRequires:  cmake
BuildRequires:  qttools5
BuildRequires:  subversion
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(lrdf)
BuildRequires:  pkgconfig(dssi)
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(liblo)
BuildRequires:  pkgconfig(xft)
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(liblircclient0)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(shared-mime-info)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  ladspa-devel

Requires:       flac
Requires:       libsndfile-progs
Requires:       libsamplerate-progs
Requires:       xterm
Requires:       lilypond

%description
Rosegarden is a music composition and editing environment based around a MIDI
sequencer that features a rich understanding of music notation and includes
basic support for digital audio.

Rosegarden is an easy-to-learn, attractive application that runs on Linux,
ideal for composers, musicians, music students, and small studio or home
recording environments.

%prep
%setup -q
%autopatch -p1

%build
CFLAGS+=' -fcommon'
export LDFLAGS="-L/usr/lib64/libglvnd/ $LDFLAGS"
%cmake_qt5

%cmake_build

%install
%cmake_install

%files
%{_bindir}/%{name}
%{_libdir}/lib%{name}private.so
%{_datadir}/applications/com.rosegardenmusic.%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/metainfo/%{name}.appdata.xml
%{_iconsdir}/hicolor/*/*/*%{name}*.png

%post
gtk-update-icon-cache /usr/share/icons/hicolor/
%update_menus
/sbin/ldconfig

%postun
%clean_menus
/sbin/ldconfig


%changelog
* Sun Mar 31 2024 onkelho <oh.quait at gmail.com> - 23.12-1quait2024
- new version released

